//-------------------------------------------------------------------------------------------------
// _RGB10bit.fx
//
// Copyright (c) EditShare EMEA.  All Rights Reserved
//-------------------------------------------------------------------------------------------------

// convert between A16R16G16B16 / A2R10G10B10 / A8R8B8G8 formats.
float4 ps_convertRGBToRGB( float2 TexUV1 : TEXCOORD1 ) : COLOR0
{
   // convert between A16R16G16B16 / A2R10G10B10 / A8R8B8G8 formats.
   return tex2D( SourceImageSampler, TexUV1 );
};

// convert between A16R16G16B16 / A2R10G10B10 / A8R8B8G8 planar formats.
float4 ps_convertPlanarRGBToRGB( float2 TexUV1 : TEXCOORD1 ) : COLOR0
{
   // resample at the appropriate pixels?
   TexUV1.y = TexUV1.y;

   // convert between A16R16G16B16 / A2R10G10B10 / A8R8B8G8 formats.
   return tex2D( SourceImageSampler, TexUV1 );
};
